@import url("https://fonts.googleapis.com/css2?family=Forum&family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");

@font-face{
  font-family: avenir_font;
  src:url(../assets/fonts/CooperHewitt_Thin.ttf);
}

* {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

a {
  text-decoration: none;
}

section {
  padding-top: 100px;
}

#active {
  font-weight: 400;
}

.container {
  padding-left: 1rem;
  padding-right: 1rem;
  margin-left: auto;
  margin-right: auto;
  max-width: 1200px;
}

.profile-container{
  border: 1px solid #000000;
  padding: 8px;
  /* max-width: 900px; */
  margin: auto;
}

.profile-container .content{
  background-color: hsl(53, 4%, 64%);
  padding: 80px 50px;
  line-height: 150%;
  text-align: left;
  /* font-family: 'Inter', sans-serif; */
  font-family: avenir_font;
  font-size: large;
}

.founder-content{
  padding: 0px 50px;
  line-height: 150%;
  text-align: left;
  /* font-family: 'Inter', sans-serif; */
  font-family: avenir_font;
  font-size: large;
  margin-bottom: 100px;
}

@media (max-width: 768px){  
  .profile-container{
    border: 1px solid #000000;
    padding: 5px;
    margin-top: 20px;
  }
  
  .profile-container .content{
    padding: 10px 20px;
    font-size: small;
  }
  
  .founder-content{
    padding: 0px 20px;
    font-size: small;
    margin-bottom: 80px;
  }
}

.navbar {
  background-color: white;
  position: fixed;
  top: 0;
  left: 0;
  justify-content: space-around;
  width: 100%; /* Add this to make the navbar full width */
  z-index: 1000; /* Adjust the z-index as needed */
}

.nav-links {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 30px;
  padding-bottom: 10px;
}

.nav-pair {
  display: flex;
  gap: 40px;
  transition: opacity 0.5s ease-in-out;
}

.nav-pair a {
  font-family: "Inter", sans-serif;
  padding: 1px;
  color: black;
  font-weight: 300;
  letter-spacing: 2px;
  font-size: smaller;
  transition: text-shadow 0.3s ease, color 0.3s ease; 
}

.nav-pair a:hover {
  text-shadow: 0 0 .55px #333, 0 0 .55px #333;
  color: black; /* Change text color on hover */
}

.logo-img {
  width: 50px;
  transition: .3s ease;
}

.nav-logo {
  display: flex;
  flex-direction: column;
  justify-content: center;
  justify-items: center;
  align-items: center;
  /* gap: 15px; */
  cursor: pointer;
}

.mobile-menu {
  display: none;
}

@media (min-width: 1024px) {
  .border {
    position: absolute;
    display: flex;
    height: 75vh;
    width: 100%;
    align-items: top;
    justify-content: center;
    text-align: center;
  }

  .profile-content {
    background-color: white;
    padding: 5px;
    border: 1px solid black;
  }

  .profile-content p {
    background-color: hsl(53, 4%, 64%);
    text-align: center;
    max-width: 60rem;
    /* font-family: "Times New Roman", Times, serif; */
    font-size: large;
    padding: 40px;
    line-height: 150%;
    text-align: center;
    font-family: 'Inter', sans-serif;
  }

  .profile-content p span{
    color: rgba(0,0,0,0.5);
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  .border {
    position: absolute;
    display: flex;
    height: 70%;
    width: 90%;
    align-items: center;
    justify-content: center;
    text-align: center;
  }

  .profile-section {
    margin-top: 30px;
    margin-bottom: 30px;
    display: flex;
    justify-content: center;
  }
}

@media (min-width: 0px) and (max-width: 1024px) {
  .navbar {
    background-color: white;
  }

  .nav-logo{
    gap: 15px;
  }

  .nav-pair {
    display: none;
    visibility: hidden;
    opacity: 0;
  }

  .line {
    width: 40px;
    height: 1px;
    margin-bottom: 6px;
    background-color: black;
  }

  .hamburger-menu {
    cursor: pointer;
  }

  .mobile-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    opacity: 0; /* Start transparent */
    z-index: 1000; /* Place it above other content */
    overflow-x: hidden;
    /* Add a smooth transition effect */
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    transform-origin: center; /* Set the transform origin to the center */
    /* transform: scaleX(0); */
    cursor: pointer;
    pointer-events: none;
    transition: .3s ease-in;
  }

  .mobile-menu.active {
    /* width: 100%; */
    opacity: 1; /* Make it fully visible */
    /* transform: scaleX(1); */
    pointer-events: all;
  }

  .mobile-nav-links {
    display: flex;
    flex-direction: column;
    gap: 15px;
  }

  .mobile-nav-links a {
    color: black;
    font-family: "Inter", sans-serif;
    font-size: small;
    letter-spacing: 2px;
  }

  .mobile-nav-contents {
    display: flex;
    text-align: center;
    flex-direction: column;
  }

  .mobile-nav-heading h1 {
    letter-spacing: 2px;
    font-size: large;
  }

  .mobile-nav-heading p {
    font-family: "Inter", sans-serif;
    margin-top: 6px;
    margin-bottom: 10px;
    color: black;
    font-family: "Inter", sans-serif;
    font-size: small;
    letter-spacing: 2px;
  }

  .mobile-nav-heading {
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* text-align: center; */
    justify-items: center;
    align-items: center;
    position: absolute;
    z-index: 1;
    top: 3.5rem;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100vw;
  }

  .black-hamburger-menu {
    display: block;
    text-align: center;
    cursor: pointer;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .insideMenu {
    width: 40px;
    margin-bottom: 6px;
    height: 1px;
    background-color: black;
  }

  /* .border {
    position: absolute;
    display: flex;
    height: 100%;
    width: 90%;
    align-items: center;
    justify-content: center;
    text-align: center;
  } */

  .profile-section {
    margin-top: 30px;
    margin-bottom: 30px;
    display: flex;
    justify-content: center;
  }

  .profile-content {
    background-color: white;
    padding: 5px;
    border: 1px solid black;
  }

  .profile-content p {
    background-color: hsl(53, 4%, 64%);
    text-align: justify;
    max-width: 60rem;
    /* font-family: "Times New Roman", Times, serif; */
    font-family: 'Inter', sans-serif;
    font-size: medium;
    padding: 20px;
    line-height: 150%;
    text-align: center;
  }

  .profile-content p span{
    color: rgba(0,0,0,0.5);
  }

  .nav-links {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding-top: 30px;
    padding-bottom: 20px;
  }
}
